#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	tftp
Version		:	5.2
Release		:	16.2.0.rel%{?dist}
Summary		:	The Trivial File Transfer Protocol (TFTP)
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	BSD
URL		:	http://www.kernel.org/pub/software/network/tftp/tftp-hpa/

Source0		:	%{name}-hpa-%{version}.tar.bz2
Source1		:	%{name}-ok_addon.tar.gz
Patch0		:	%{name}-hpa-%{version}-gcc10.patch

#-----------------------------------------------------------------------------
Buildrequires	:	autoconf
Buildrequires	:	make
Buildrequires	:	gcc

Requires	:	syslinux
#-----------------------------------------------------------------------------
%description
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations.  The tftp package provides the user
interface for TFTP, which allows users to transfer files to and from a
remote machine.  This program and TFTP provide very little security,
and should not be enabled unless it is expressly needed.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README README.security CHANGES
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%package		server
Summary		:	The server for the Trivial File Transfer Protocol (TFTP)

%description		server
The Trivial File Transfer Protocol (TFTP) is normally used only for
booting diskless workstations.  The tftp-server package provides the
server for TFTP, which allows users to transfer files to and from a
remote machine. TFTP provides very little security, and should not be
enabled unless it is expressly needed.  The TFTP server is run by using
systemd socket activation, and is disabled by default.

#-----------------------------------------------------------------------------
%files			server
%defattr(-, root,root,-)
%doc README README.security CHANGES
%dir %{_localstatedir}/lib/tftpboot
%attr (0750,root,root) %{_sysconfdir}/rc.d/init.d/%{name}d
%{_sbindir}/in.%{name}d
%{_mandir}/man8/in.%{name}d.8.gz
%{_mandir}/man8/%{name}d.8.gz

#-----------------------------------------------------------------------------
%post			server
/sbin/chkconfig --add %{name}d
%{_sysconfdir}/rc.d/init.d/%{name}d condrestart > /dev/null 2>&1 || :

%preun			server
if [ "$1" = 0 ]; then
  %{_sysconfdir}/rc.d/init.d/%{name}d stop > /dev/null 2>&1 || :
  /sbin/chkconfig --del %{name}d
  fi
			
#=============================================================================
%prep
%setup -q -n %{name}-hpa-%{version}
%patch0 -p1
tar xf %{SOURCE1}

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}/%{name}		\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	INSTALLROOT=%{buildroot}			\
	install

%{__mkdir_p}						\
	%{buildroot}%{_localstatedir}/lib/%{name}boot

#installing daemon starting/stopping script
%{__mkdir_p} %{buildroot}%{_sysconfdir}/rc.d/init.d
%{__cp} 						\
	%{name}-ok_addon/%{name}d			\
	%{buildroot}%{_sysconfdir}/rc.d/init.d

#-----------------------------------------------------------------------------
%changelog

